classification
Title: Take the new email package features out of provisional status
Type: enhancement Stage: resolved
Components: Documentation, email Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: r.david.murray Nosy List: barry, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2015-05-24 14:10 by r.david.murray, last changed 2016-09-08 16:50 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
email_doc_rewrite.patch r.david.murray, 2016-09-06 23:56 review
Messages (7)
msg243986 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-05-24 14:10
I plan to remove the provisional status of the new email features in 3.5.  This is a documentation only change, but the documentation change is extensive (pretty much a complete rewrite of the package docs).
msg274674 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-09-06 23:56
Obviously I quite missed the 3.5 deadline, and it is only thanks to the Core Sprint that I'm going to make the 3.6 deadline, but at least I'm making it.

There is one code change in this patch, changing the default behavior of as_string/str on EmailMessage (only) to be more sensible, and take advantage of the policy.utf8 flag to make str output more readable by default.  Otherwise, it is simply (hah) a fairly complete documentation reorganization and rewrite giving primacy to the new API and demoting the old API to 'legacy'.
msg274675 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-09-06 23:58
It is probably useless to try to review this as a diff.  It maybe better to just commit it, and let people report any problems as bugs.
msg274940 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:16
New changeset b97118691363 by R David Murray in branch 'default':
#24277: The new email API is no longer provisional.
https://hg.python.org/cpython/rev/b97118691363
msg274941 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:22
New changeset bd5b38e3db1a by R David Murray in branch 'default':
#24277: What's New and news entries for previous commit.
https://hg.python.org/cpython/rev/bd5b38e3db1a
msg274947 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:42
New changeset ad297312a478 by R David Murray in branch 'default':
#24277: Fix 3.4 whats new link broken by email doc changes.
https://hg.python.org/cpython/rev/ad297312a478
msg274948 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-08 01:48
New changeset d82927c18931 by R David Murray in branch 'default':
#24277: Fix some incorrect backslashes in email example.
https://hg.python.org/cpython/rev/d82927c18931
History
Date User Action Args
2016-09-08 16:50:56r.david.murraysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-09-08 01:48:35python-devsetmessages: + msg274948
2016-09-08 01:42:00python-devsetmessages: + msg274947
2016-09-08 01:22:10python-devsetmessages: + msg274941
2016-09-08 01:16:13python-devsetnosy: + python-dev
messages: + msg274940
2016-09-06 23:58:30r.david.murraysetmessages: + msg274675
2016-09-06 23:57:06r.david.murraysetfiles: + email_doc_rewrite.patch

components: + email
versions: + Python 3.6, - Python 3.5
keywords: + patch
nosy: + barry

messages: + msg274674
stage: needs patch -> patch review
2015-05-24 14:10:33r.david.murraycreate